# coding: utf-8
from importlib import import_module
from itertools import imap

from m3_dev_utils import get_config


def _get_pack(package):
    return import_module(package).Pack()


def register_actions():
    get_config().controller.extend_packs(imap(_get_pack, (
        'm3_dev_utils.objectpack.listeners.actions',
        'm3_dev_utils.django.models.export.visual_paradigm.actions',
    )))
